<div class="playground">
  <h1 class="playground--title">Lyckohjulet!</h1>
  <div class="playground--wheel-of-fortune">
    <div class="playground--wheel-of-fortune--marker"></div>
    <canvas
      id="playground--wheel-of-fortune--canvas"
      class="playground--wheel-of-fortune--wheel"
      width="300"
      height="300"></canvas>
    <digi-button
      class="playground--wheel-of-fortune--spin-button"
      [hidden]="spinning || winner"
      (afOnClick)="spinWheel()">
      Snurra hjulet!
    </digi-button>
    <digi-notification-alert
      class="playground--wheel-of-fortune--winner"
      [hidden]="!winner"
      [afSize]="'small'"
      [afVariation]="'info'"
      [afHeading]="'Informationsmeddelande'"
      [afCloseable]="true"
      (afOnClose)="resetWinner()">
      {{ winner }} vann!!!
    </digi-notification-alert>
  </div>
  <div class="playground--settings">
    <div class="playground--settings--options">
      <h2>Alternativ</h2>
      <ng-container *ngFor="let option of options; let i = index">
        <digi-form-input
          class="playground--settings--options--input"
          [attr.af-value]="option"
          (afOnChange)="updateOption($event, i)">
          <button slot="button" (click)="removeOption(i)">
            <digi-icon-trash
              class="playground--settings--options--input-icon"
              slot="icon"></digi-icon-trash>
          </button>
        </digi-form-input>
      </ng-container>
      <digi-button (afOnClick)="addOption()">Lägg till alternativ</digi-button>
    </div>
    <div class="playground--settings--options">
      <h2>Färger</h2>
      <ng-container *ngFor="let color of colors; let i = index">
        <digi-form-input
          class="playground--settings--options--input"
          [attr.af-value]="color"
          (afOnChange)="updateColor($event, i)">
          <button slot="button" (click)="removeColor(i)">
            <digi-icon-trash
              class="playground--settings--options--input-icon"
              slot="icon"></digi-icon-trash>
          </button>
        </digi-form-input>
      </ng-container>
      <digi-button (afOnClick)="addColor()">Lägg till färg</digi-button>
    </div>
  </div>
</div>
